X
Tap here to go to the mobile version of the site.

Support Forum

i want to use English spellcheck but firefox forces US spellcheck on me

Posted

I think if I could actually remove once and the all the US version of English, maybe I can get spellcheck in English again, currently I am forced into US English spellcheck, despite only choosing Oxford GB language pack.

The only one I can remove is the Oxford GB English while the US version is forced on me, I get told this is for your locale, which is England.

Please can someone help?

I think if I could actually remove once and the all the US version of English, maybe I can get spellcheck in English again, currently I am forced into US English spellcheck, despite only choosing Oxford GB language pack. The only one I can remove is the Oxford GB English while the US version is forced on me, I get told this is for your locale, which is England. Please can someone help?

Chosen solution

Hi, you need to install the Dictionary - not Language Pack, then restart Firefox https://addons.mozilla.org/en-US/firefox/addon/british-english-dictionary-2/

If your question is resolved by this or another answer, please help other users by marking the best reply as Solved. Thank you!

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • Shockwave Flash 32.0 r0

Application

  • User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0

More Information

WestEnd
  • Top 10 Contributor
60 solutions 5243 answers

There is a GB version of firefox is there why you don't install that version?

There is a GB version of firefox is there why you don't install that version?
Scribe 725 solutions 3455 answers

Chosen Solution

Hi, you need to install the Dictionary - not Language Pack, then restart Firefox https://addons.mozilla.org/en-US/firefox/addon/british-english-dictionary-2/

If your question is resolved by this or another answer, please help other users by marking the best reply as Solved. Thank you!

Hi, you need to install the Dictionary - not Language Pack, then restart Firefox https://addons.mozilla.org/en-US/firefox/addon/british-english-dictionary-2/ ''If your question is resolved by this or another answer, please help other users by marking the best reply as Solved. Thank you!''
cor-el
  • Top 10 Contributor
  • Moderator
17217 solutions 155533 answers

A language pack has nothing to do with the spelling checker dictionary. A language pack only provides label (string) translations for the Firefox user interface.

If you only want to use the en-GB dictionary then maybe install the en-GB Firefox version and the en-GB dictionary. The en-GB Firefox version doesn't come with a dictionary.

You can see which dictionary is selected if you right-click in a text area and open the Languages sub menu. At least one dictionary should be installed and have a check mark to indicate that it is selected.

  • open the "Add Dictionaries" link to install a dictionary if you do not have one.

The spelling checker is enabled if [X] "Check Spelling" in the right-click context menu has a checkmark.

A language pack has nothing to do with the spelling checker dictionary. A language pack only provides label (string) translations for the Firefox user interface. If you only want to use the en-GB dictionary then maybe install the en-GB Firefox version and the en-GB dictionary. The en-GB Firefox version doesn't come with a dictionary. *https://www.mozilla.org/en-US/firefox/all/ *https://addons.mozilla.org/firefox/language-tools/ You can see which dictionary is selected if you right-click in a text area and open the Languages sub menu. At least one dictionary should be installed and have a check mark to indicate that it is selected. *open the "Add Dictionaries" link to install a dictionary if you do not have one. The spelling checker is enabled if [X] "Check Spelling" in the right-click context menu has a checkmark.
James
  • Top 25 Contributor
  • Moderator
1593 solutions 11222 answers

WestEnd said

There is a GB version of firefox is there why you don't install that version?

Only two or three locales (including en-US) comes with a Dictionary and the en-GB is not one of them. So you would still need to install the en-GB British dictionary.

''WestEnd [[#answer-1182690|said]]'' <blockquote> There is a GB version of firefox is there why you don't install that version? </blockquote> Only two or three locales (including en-US) comes with a Dictionary and the en-GB is not one of them. So you would still need to install the en-GB British dictionary.